<?php

Route::set('apiv0:final-report', 'api/v0/final-report')
    ->filter(function($route, $params, $request) {
        $params['action'] = strtolower($request->method()) . '_' . $params['action'];
        return $params;
    })
    ->defaults([
        'action'    => 'index',
        'directory' => 'Api/V0',
        'controller' => 'FinalReport',
    ]);

Route::set('apiv0:student', 'api/v0/student')
    ->filter(function($route, $params, $request) {
        $params['action'] = strtolower($request->method()) . '_' . $params['action'];
        return $params;
    })
    ->defaults([
        'action'    => 'index',
        'directory' => 'Api/V0',
        'controller' => 'Student',
    ]);

Route::set('apiv0:studyPlan', 'api/v0/studyPlan')
    ->filter(function($route, $params, $request) {
        $params['action'] = strtolower($request->method() ). '_' . $params['action'];
        return $params;
    })
    ->defaults([
        'action'    => 'index',
        'directory' => 'Api/V0',
        'controller' => 'StudyPlan',
    ]);

Route::set('apiv0:teacher', 'api/v0/teacher')
    ->filter(function($route, $params, $request) {
        $params['action'] = strtolower($request->method()) . '_' . $params['action'];
        return $params;
    })
    ->defaults([
        'action'    => 'index',
        'directory' => 'Api/V0',
        'controller' => 'Teacher',
    ]);
